org.apache.felix.fileinstall

## Interface ArtifactInstaller

All Superinterfaces:
  ArtifactListener

    public interface ArtifactInstaller
    extends ArtifactListener

Objects implementing this interface are able to directly install and uninstall supported artifacts. Artifacts that are transformed into bundles should use the `ArtifactTransformer` interface instead. Note that fileinstall does not keep track of those artifacts across restarts, so this means that after a restart, existing artifacts will be reported as new, while any deleted artifact won't be reported as deleted.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `install(File artifact)` Install the artifact
`void` `uninstall(File artifact)` Uninstall the artifact
`void` `update(File artifact)` Update the artifact

### Methods inherited from interface org.apache.felix.fileinstall.ArtifactListener

`canHandle`

### Method Detail

#### install

    void install(File artifact)
          throws Exception

Install the artifact

Parameters:
  `artifact` - the artifact to be installed
Throws:
  `Exception`

#### update

    void update(File artifact)
         throws Exception

Update the artifact

Parameters:
  `artifact` - the artifact to be updated
Throws:
  `Exception`

#### uninstall

    void uninstall(File artifact)
            throws Exception

Uninstall the artifact

Parameters:
  `artifact` - the artifact to be uninstalled
Throws:
  `Exception`